Subject: Re: Gitweb: Provide Git links in project list?

From: Robert Richter <[email-masked]>
Date: Wed, 30 Jul 2008 15:13:57 +0200

On 30.07.08 15:02:57, Fredrik Skolmli wrote:
> On Wed, Jul 30, 2008 at 02:57:43PM +0200, Robert Richter wrote:
> 
> > The Gitweb on git.kernel.org povides links to the Git repository for
> > each project (git <git://...>). However, I did not find this feature
> > in the current implementation of git_project_list_body(). Does
> > somebody know if there is a patch available for this and if this could
> > be added to gitweb?
> 
> Is putting the address in .git/cloneurl giving the behaviour you're looking for?

Yes, I did change this and in the project summary I get "URL git://...".

That I mean is the main page, that lists the projects. I only have:

... summary | shortlog | log | tree

At git.kernel.org there is additional '... | git' with a link to the
Git repository.

The current source of gitweb seems not to provide this.

-Robert

-- 
Advanced Micro Devices, Inc.
Operating System Research Center
email: [email-masked]